Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class DummyNamingService

    java.lang.Object
      net.i2p.client.naming.NamingService
          net.i2p.client.naming.DummyNamingService

     class DummyNamingService

extends NamingService

A Dummy naming service that can only handle base64 destinations.

Field Summary

Fields inherited from class net.i2p.client.naming.NamingService
`_context, CACHE_MAX_AGE, CACHE_MAX_SIZE, PROP_IMPL`

Constructor Summary
`protected` | `DummyNamingService(I2PAppContext context)` The naming service should only be constructed and accessed through the application context.

Method Summary
`Destination` | `lookup(String hostname)` Look up a host name.

Methods inherited from class net.i2p.client.naming.NamingService
`clearCache, createInstance, getCache, lookupBase64, putCache, reverseLookup, reverseLookup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DummyNamingService

    protected DummyNamingService(I2PAppContext context)

  The naming service should only be constructed and accessed through the application context. This constructor should only be used by the appropriate application context itself.

Method Detail

### lookup

    public Destination lookup(String hostname)

  Description copied from class: `NamingService`
  Look up a host name.

  Specified by:
    `lookup` in class `NamingService`
  Returns:
    the Destination for this host name, or `null` if name is unknown.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD